Bug 437586 - Wired Ethernet manual speed setting does not allow 2500 and 5000 Mb/s
Summary: Wired Ethernet manual speed setting does not allow 2500 and 5000 Mb/s
Status: RESOLVED FIXED
Alias: None
Product: plasma-nm
Classification: Plasma
Component: general (show other bugs)
Version: 5.22.4
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jan Grulich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-23 23:53 UTC by dhummel
Modified: 2021-08-19 16:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.23


Attachments
Here is the applet's configuration (145.13 KB, image/png)
2021-05-23 23:53 UTC, dhummel
Details
Here is the applet's configuration after fix was applied (120.41 KB, image/png)
2021-08-15 04:01 UTC, dhummel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dhummel 2021-05-23 23:53:22 UTC
Created attachment 138725 [details]
Here is the applet's configuration

SUMMARY
When creating/editing a connection with manual speed settings within the plasma-nm applet, it is not possible to choose a value of 2500/5000 Mb/s.

STEPS TO REPRODUCE
1. Open the plasma-nm applet
2. Create a new connection
3. Attempt to change the speed

OBSERVED RESULT
2500 Mb/s and 5000 Mb/s are not available

EXPECTED RESULT
Either 2500 Mb/s and 5000 Mb/s should be available in the Speed dropdown, or entering a manual value should be allowed.

SOFTWARE/OS VERSIONS
Linux: 5.12.6
KDE Plasma Version: 5.21.5
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Manually editing the connection with nmcli sets the speed as expected, however the value displayed in the applet's editor/viewer shows 100 Mb/s.

Here is the nmcli output:
```
$ nmcli connection show Onboard | grep 802-3-ethernet.speed
802-3-ethernet.speed:                   2500
```
Comment 1 dhummel 2021-08-15 03:57:26 UTC
I've create a merge request with a fix for this:
https://invent.kde.org/plasma/plasma-nm/-/merge_requests/71
Comment 2 dhummel 2021-08-15 04:01:25 UTC
Created attachment 140736 [details]
Here is the applet's configuration after fix was applied
Comment 3 Nate Graham 2021-08-19 16:25:07 UTC
Fixed in Plasma 5.23 by David Hummel with https://invent.kde.org/plasma/plasma-nm/-/commit/54319f29a2e9c1408112dc630ea38b2fa99095d8!